Subject: Re: bug#23595: 25.1.50; file with chinese/japanse chars, vc-diff fails (HG, Git, RCS)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 24 May 2016 05:33:05 +0300

> From: Uwe Brauer <[email-masked]>
> Date: Mon, 23 May 2016 20:37:29 +0000
> 
> >>> "Eli" == Eli Zaretskii <[email-masked]> writes:
>    >> Right, I see, that was just 2 chars in a document which contained
>    >> latin-1 or UTF8. So Chinese and Japanese programmers are in a
>    >> disadvantage, no?
> 
>    > Why?  UTF-8 supports Chinese just fine.
> 
> Now I am confused. In my poor understanding I thought UTF-16 is needed
> for Chinese and Japanese. That seems not to be the case?!

No, it's not the case.  UTF-8 and UTF-16 both support the same space
of Unicode codepoints.

> So the problem I reported was caused by the fact that I used UTF-16
> instead of UTF-8?

Yes!